#
# Conditional build:
%bcond_with	tests		# test suite

%define		kdeappsver	24.12.3
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		angelfish
Summary:	A webbrowser for small mobile devices
Summary(pl.UTF-8):	Przeglądarka WWW dla małych urządzeń przenośnych
Name:		ka6-%{kaname}
Version:	24.12.3
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	37028b1d5ccf464de7d59b5e28e22174
URL:		https://apps.kde.org/angelfish/
BuildRequires:	Qt6Core-devel >= 5.15.2
BuildRequires:	Qt6Gui-devel >= 5.15.2
BuildRequires:	Qt6Network-devel >= 5.15.9
BuildRequires:	Qt6Positioning-devel >= 5.15
BuildRequires:	Qt6Qml-devel >= 5.15.9
BuildRequires:	Qt6Quick-devel
BuildRequires:	Qt6Sql-devel
BuildRequires:	Qt6Svg-devel
BuildRequires:	Qt6Test
BuildRequires:	Qt6WebChannel-devel >= 5.15
BuildRequires:	Qt6WebEngine-devel >= 5.15
BuildRequires:	Qt6Widgets-devel >= 5.15.2
BuildRequires:	futuresql-qt6-devel >= 0.1.1
BuildRequires:	gettext-devel
BuildRequires:	kf6-extra-cmake-modules >= 5.95.0
BuildRequires:	kf6-kconfig-devel >= 5.95.0
BuildRequires:	kf6-kcoreaddons-devel >= 5.95.0
BuildRequires:	kf6-kdbusaddons-devel >= 5.95.0
BuildRequires:	kf6-ki18n-devel >= 5.95.0
BuildRequires:	kf6-kirigami-addons-devel >= 0.6
BuildRequires:	kf6-kirigami-devel >= 5.95.0
BuildRequires:	kf6-knotifications-devel >= 5.95.0
BuildRequires:	kf6-kwindowsystem-devel >= 5.95.0
BuildRequires:	kf6-purpose-devel >= 5.95.0
BuildRequires:	kf6-qqc2-desktop-style-devel >= 5.95.0
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	ka5-angelfish < 24
# limited by Qt6WebEngine
ExclusiveArch:	%{x8664} aarch64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a webbrowser designed to:
- be used on small mobile devices,
- integrate well in Plasma workspaces

%description -l pl.UTF-8
Ta aplikacja to przeglądarka WWW zaprojektowana z myślą o:
- używaniu na małych urządzeniach przenośnych
- dobrej integracji z pulpitami Plazmy

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{kaname}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/angelfish
%attr(755,root,root) %{_bindir}/angelfish-webapp
%{_desktopdir}/org.kde.angelfish.desktop
%{_datadir}/config.kcfg/angelfishsettings.kcfg
%{_iconsdir}/hicolor/scalable/apps/org.kde.angelfish.svg
%{_datadir}/knotifications6/angelfish.notifyrc
%{_datadir}/metainfo/org.kde.angelfish.metainfo.xml
%changelog
* Sat Mar 08 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-angelfish.git;a=log;h=master

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> fe632d0
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 5f9ee75
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 09ad56e
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 68b9614
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3bc89c0
- updated to 24.08.3

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> d7a3e84
- pl, cleanup

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> f017f11
- updated kirigami-addons package name

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> 6a0e645
- macros for ninja

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> 825aa2e
- proper EA list

* Fri Oct 18 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> fb62308
- relup, exlcuding i686

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 075e824
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 95ed91b
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1054cd5
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1340e99
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a0dd285
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4ec33bf
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d31e3ad
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ec1e340
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 2bcfc43
- updated to 24.02.0

